> ## Documentation Index
> Fetch the complete documentation index at: https://vectorly-783efd43.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new authorization token.

> This is where the user explicitly creates a new token. The token can be used
to call other APIs in the name of the user.



## OpenAPI

````yaml post /base/user/tokens
openapi: 3.1.0
info:
  title: Coinfer Server API
  version: 0.0.1776236533+0db4b8c
  description: |+

    This part of document describes the HTTP APIs of the Coinfer cloud.

servers:
  - url: https://api.coinfer.ai
    description: The production environment
  - url: https://dev.coinfer.ai
    description: The development environment
security: []
tags:
  - name: Object
    description: APIs related to object CRUD operations.
  - name: Invoke
    description: APIs used to invoke CloudFunction or run workflow.
  - name: Notification
    description: APIs related to notification.
  - name: Authorization
    description: >-
      APIs related to user, token, login, etc.


      Normally APIs in this group should not be used. You should get API token
      from our website and then use the token to call other APIs.
paths:
  /base/user/tokens:
    post:
      tags:
        - Authorization
      summary: Create a new authorization token.
      description: >-
        This is where the user explicitly creates a new token. The token can be
        used

        to call other APIs in the name of the user.
      operationId: coinfer_apis_base_api_create_token
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/CreateToken'
                - type: 'null'
        required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccRsp_GetTokensRsp_'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrRsp'
      security:
        - GlobalAuth: []
components:
  schemas:
    CreateToken:
      properties:
        name:
          default: ''
          title: Name
          type: string
        desc:
          default: ''
          title: Desc
          type: string
        expire:
          examples:
            - '2025-02-11T23:56:09.473Z'
          format: date-time
          title: Expire
          type: string
      title: CreateToken
      type: object
    SuccRsp_GetTokensRsp_:
      properties:
        status:
          const: ok
          title: Status
          type: string
        data:
          $ref: '#/components/schemas/GetTokensRsp'
      required:
        - status
        - data
      title: SuccRsp[GetTokensRsp]
      type: object
    ErrRsp:
      properties:
        status:
          const: error
          title: Status
          type: string
        code:
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - status
        - code
        - message
      title: ErrRsp
      type: object
    GetTokensRsp:
      properties:
        id:
          title: Id
          type: integer
        token:
          title: Token
          type: string
        token_name:
          title: Token Name
          type: string
        token_desc:
          title: Token Desc
          type: string
        token_expire:
          examples:
            - '2025-02-11T23:56:09.473Z'
          format: date-time
          title: Token Expire
          type: string
      required:
        - id
        - token
        - token_name
        - token_desc
        - token_expire
      title: GetTokensRsp
      type: object
  securitySchemes:
    GlobalAuth:
      type: http
      scheme: bearer

````